"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/* tslint:disable:no-unused-variable */
var React = require('react');
/* tslint:enable:no-unused-variable */
var BaseComponent_1 = require('../../common/BaseComponent');
var Callout_1 = require('../../Callout');
var DirectionalHint_1 = require('../../common/DirectionalHint');
require('./Tooltip.scss');
var Tooltip = (function (_super) {
    __extends(Tooltip, _super);
    function Tooltip() {
        _super.apply(this, arguments);
    }
    Tooltip.prototype.render = function () {
        var _a = this.props, targetElement = _a.targetElement, content = _a.content, calloutProps = _a.calloutProps;
        return (React.createElement(Callout_1.Callout, __assign({className: 'ms-Tooltip', targetElement: targetElement}, calloutProps), 
            React.createElement("div", {className: 'ms-Tooltip-content'}, 
                React.createElement("p", {className: 'ms-Tooltip-subText'}, content)
            )
        ));
    };
    // Specify default props values
    Tooltip.defaultProps = {
        calloutProps: {
            isBeakVisible: true,
            beakWidth: 16,
            gapSpace: 8,
            setInitialFocus: true,
            doNotLayer: false,
            directionalHint: DirectionalHint_1.DirectionalHint.topCenter
        }
    };
    return Tooltip;
}(BaseComponent_1.BaseComponent));
exports.Tooltip = Tooltip;

//# sourceMappingURL=Tooltip.js.map
