define([], function() { return "import * as React from 'react';\nimport { BaseAutoFill } from './BaseAutoFill';\n\nexport interface IBaseAutoFill {\n\n  /**\n   * The current index of the cursor in the input area. Returns -1 if the input element\n   * is not ready.\n   */\n  cursorLocation: number;\n  /**\n   * A boolean for whether or not there is a value selected in the input area.\n   */\n  isValueSelected: boolean;\n  /**\n   * The current text value that the user has entered.\n   */\n  value: string;\n  /**\n   * The current index of where the selection starts. Returns -1 if the input element\n   * is not ready.\n   */\n  selectionStart: number;\n  /**\n   * the current index of where the selection ends. Returns -1 if the input element\n   * is not ready.\n   */\n  selectionEnd: number;\n  /**\n   * The current input element.\n   */\n  inputElement: HTMLInputElement;\n  /**\n   * Focus the input element.\n   */\n  focus(): void;\n  /**\n   * Clear all text in the input. Sets value to '';\n   */\n  clear(): void;\n}\n\nexport interface IBaseAutoFillProps extends React.HTMLProps<HTMLInputElement | BaseAutoFill> {\n  /**\n   * The suggested autofill value that will display.\n   */\n  suggestedDisplayValue?: string;\n  /**\n   * A callback for when the current input value changes.\n   */\n  onInputValueChange?: (newValue?: string) => void;\n\n}"; });